
PROGRAMS = comparisons.guac if.guac switch.guac
TOPDIR = ../../..
include $(TOPDIR)/Makefile.rules

build: $(PROGRAMS)

dumps: comparisons.dump if.dump switch.dump

clean:
	$(RM) *.o *.guac

# Dependances
$(PROGRAMS): %.guac : $(USERLIB)/sys.o $(USERLIB)/libnachos.o %.o